# Generated from fluent-plugin-docker_metadata_filter-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluent-plugin-docker_metadata_filter

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Filter plugin to add Docker metadata
Group: Development/Languages
License: ASL2
URL: https://github.com/fabric8io/fluent-plugin-docker_metadata_filter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) 
Requires: rubygem(fluentd) 
Requires: rubygem(docker-api) 
Requires: rubygem(lru_redux) 
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby >= 1.9.3
# For tests, uncomment once they are available
# BuildRequires: rubygem(minitest) => 4.0
# BuildRequires: rubygem(minitest) < 5
# BuildRequires: rubygem(test-unit) => 3.0.2
# BuildRequires: rubygem(test-unit) < 3.1
# BuildRequires: rubygem(test-unit-rr) => 1.0.3
# BuildRequires: rubygem(test-unit-rr) < 1.1
# BuildRequires: rubygem(copyright-header) 
# BuildRequires: rubygem(webmock) 
# BuildRequires: rubygem(vcr) 
# BuildRequires: rubygem(bump) 
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Filter plugin to add Docker metadata.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

rm -f %{buildroot}%{gem_instdir}/{.gitignore,.travis.yml}


# Run the test suite
%check
pushd .%{gem_instdir}
# Uuncomment once are requirements are available
#ruby -Ilib -e 'Dir.glob "./test/test_*.rb", &method(:require)'
popd

%files
%doc %{gem_instdir}/LICENSE.txt
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/circle.yml
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/test/

%changelog
* Tue Sep 08 2015 Troy Dawson <tdawson@redhat.com> - 0.1.1-1
- Initial package
